directories
  '*.ICO' = 'c:\Program Files\Moravian Instruments\Control Web 6 CZE\Ico\Indicator';
end_directories;

settings
  operation_mode = real_time;
  time_error_limit = 2;
  paint_time_limit = 2;
  input_timeout = 2;
  output_timeout = 2;
  startup_options
    call_procedures = false;
    activate_receivers = false;
    output_action = set_local;
  end_startup_options;
end_settings;

driver
  pca {driver = 'cw_pca7208.dll'; map_file = 'Cw_pca7208.dmf'; parameter_file = 'Cw_pca7208.par'};
end_driver;

data

  channel
    k0 : longcard {driver = pca; driver_index = 0; direction = input};
    k1 : longcard {driver = pca; driver_index = 1; direction = input};
    k2 : longcard {driver = pca; driver_index = 2; direction = input};
    k3 : longcard {driver = pca; driver_index = 3; direction = input};
    k4 : longcard {driver = pca; driver_index = 4; direction = input};
    k40 : longcard {init_value = 0; driver = pca; driver_index = 40; direction = output};
    k41 : longcard {init_value = 0; driver = pca; driver_index = 41; direction = output};
    k5 : longcard {driver = pca; driver_index = 5; direction = input};
    k50 : boolean {driver = pca; driver_index = 50; direction = input};
    k51 : boolean {driver = pca; driver_index = 51; direction = input};
    k52 : boolean {driver = pca; driver_index = 52; direction = input};
    k53 : boolean {driver = pca; driver_index = 53; direction = input};
    k54 : boolean {driver = pca; driver_index = 54; direction = input};
    k55 : boolean {driver = pca; driver_index = 55; direction = input};
    k56 : boolean {driver = pca; driver_index = 56; direction = input};
    k57 : boolean {driver = pca; driver_index = 57; direction = input};
    k6 : longcard {driver = pca; driver_index = 6; direction = input};
    k7 : longcard {driver = pca; driver_index = 7; direction = input};
    k70 : boolean {init_value = false; driver = pca; driver_index = 70; direction = output};
    k71 : boolean {init_value = false; driver = pca; driver_index = 71; direction = output};
    k72 : boolean {init_value = false; driver = pca; driver_index = 72; direction = output};
    k73 : boolean {init_value = false; driver = pca; driver_index = 73; direction = output};
    k74 : boolean {init_value = false; driver = pca; driver_index = 74; direction = output};
    k75 : boolean {init_value = false; driver = pca; driver_index = 75; direction = output};
    k76 : boolean {init_value = false; driver = pca; driver_index = 76; direction = output};
    k77 : boolean {init_value = false; driver = pca; driver_index = 77; direction = output};
    k80 : longcard {driver = pca; driver_index = 80; direction = input};
    k81 : longcard {driver = pca; driver_index = 81; direction = input};
    k84 : longcard {driver = pca; driver_index = 84; direction = input};
  end_channel;

end_data;

instrument

  panel backpane;
    rem = 'hlavn panel aplikace';
    gui
      owner = background;
      position = 3, 21, 1018, 716;
      visibility = false;
      window
        title = 'pca7208';
        disable = zoom;
      end_window;
    end_gui;
  end_panel;

  label label_1;
    gui
      owner = backpane;
      position = 287, 339;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'status CNT';
    end_text_list;
  end_label;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 287, 354, 88, 25;
    end_gui;
    expression = k84;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  label label_1;
    gui
      owner = backpane;
      position = 167, 339;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'CNT1';
    end_text_list;
  end_label;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 167, 354, 88, 25;
    end_gui;
    expression = k81;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  label label_1;
    gui
      owner = backpane;
      position = 77, 339;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'CNT0';
    end_text_list;
  end_label;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 77, 354, 88, 25;
    end_gui;
    expression = k80;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  label label_1;
    gui
      owner = backpane;
      position = 577, 89;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'AOUT0';
    end_text_list;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 707, 89;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'AOUT1';
    end_text_list;
  end_label;

  control control_4;
    gui
      owner = backpane;
      position = 707, 104, 82, 80;
    end_gui;
    send_same_data = on;
    output = k41;
    content = max;
    range_to = 4095;
    dec_places = 0;
  end_control;

  switch switch_2;
    gui
      owner = backpane;
      position = 327, 264, 21, 21;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    send_same_data = on;
    output = k77;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    gui
      owner = backpane;
      position = 302, 264, 21, 21;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    send_same_data = on;
    output = k76;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    gui
      owner = backpane;
      position = 277, 264, 21, 21;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    send_same_data = on;
    output = k75;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    gui
      owner = backpane;
      position = 252, 264, 21, 21;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    send_same_data = on;
    output = k74;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    gui
      owner = backpane;
      position = 227, 264, 21, 21;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    send_same_data = on;
    output = k73;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    gui
      owner = backpane;
      position = 202, 264, 21, 21;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    send_same_data = on;
    output = k72;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_2;
    gui
      owner = backpane;
      position = 177, 264, 21, 21;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    send_same_data = on;
    output = k71;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  label label_1;
    gui
      owner = backpane;
      position = 77, 269;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'DOUT0-7';
    end_text_list;
  end_label;

  indicator indicator_3;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 327, 234;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k57;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 302, 234;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k56;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 277, 234;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k55;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 252, 234;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k54;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 227, 234;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k53;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 202, 234;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k52;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_3;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 177, 234;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k51;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  label label_1;
    gui
      owner = backpane;
      position = 77, 234;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'DIN0-7';
    end_text_list;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 252, 14;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'MS Sans Serif (Central European)', 24, bold;
      text = 'PCA-7x08A, PCA-7x28A, PCA-7x28E';
    end_text_list;
    colors
      ink = lred;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 342, 144;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'AIN7';
    end_text_list;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 252, 144;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'AIN6';
    end_text_list;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 162, 144;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'AIN5';
    end_text_list;
  end_label;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 342, 159, 88, 25;
    end_gui;
    expression = k7;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 252, 159, 88, 25;
    end_gui;
    expression = k6;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 162, 159, 88, 25;
    end_gui;
    expression = k5;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 72, 159, 88, 25;
    end_gui;
    expression = k4;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  label label_1;
    gui
      owner = backpane;
      position = 72, 144;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'AIN4';
    end_text_list;
  end_label;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 342, 99, 88, 25;
    end_gui;
    expression = k3;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 252, 99, 88, 25;
    end_gui;
    expression = k2;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 162, 99, 88, 25;
    end_gui;
    expression = k1;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  label label_1;
    gui
      owner = backpane;
      position = 342, 84;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'AIN3';
    end_text_list;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 252, 84;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'AIN2';
    end_text_list;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 162, 84;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'AIN1';
    end_text_list;
  end_label;

  control control_4;
    gui
      owner = backpane;
      position = 577, 104, 82, 80;
    end_gui;
    send_same_data = on;
    output = k40;
    content = max;
    range_to = 4095;
    dec_places = 0;
  end_control;

  indicator indicator_3;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 152, 234;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k50;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  switch switch_2;
    gui
      owner = backpane;
      position = 152, 264, 21, 21;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    send_same_data = on;
    output = k70;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  label label_1;
    gui
      owner = backpane;
      position = 72, 84;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Tahoma (Central European)', 8, bold;
      text = 'AIN0';
    end_text_list;
  end_label;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 72, 99, 88, 25;
    end_gui;
    expression = k0;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = black;
      paper = lgreen;
      low_limit = lgreen;
      high_limit = lgreen;
    end_colors;
  end_meter;

  program startup;

    procedure OnActivate();
    begin
      backpane.NewRect( WorkX, WorkY, WorkW, WorkD );
      backpane.Show();
      backpane.Select();
    end_procedure;

  end_program;

end_instrument;

